Subject: Re: bug#63311: 30.0.50; [PATCH] smtpmail-send-it split

From: Manuel Giraud <[email-masked]>
Date: Mon, 06 Nov 2023 16:56:33 +0100

Eli Zaretskii <[email-masked]> writes:

>> From: Manuel Giraud <[email-masked]>
>> Cc: [email-masked]
>> Date: Mon, 06 Nov 2023 11:21:23 +0100
>> 
>> Eli Zaretskii <[email-masked]> writes:
>> 
>> >> Ok.  But there is still the case where any 'error' call from a thread
>> >> will end up in limbo, no?
>> >
>> > The caller will need to fetch it and display it.
>> 
>> Yes but how would I do that.  My idea was to left much code unmodified
>> (with all 'error' calls in case something goes wrong).  But how the
>> 'main-thread' could fetch these errors.
>
> Using thread-last-error, or at least that's what I had in mind.

It seems that 'thread-last-error' is global for all threads of Emacs so
I don't it would work.  Doesn't a thread record its error status and
message?
-- 
Manuel Giraud